Skip to main content
POST
/
objects
/
add_field
Add a field definition to an object type
curl --request POST \
  --url https://api.supersonic.cv/objects/add_field \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "object_type_slug": "<string>",
  "name": "<string>",
  "field_type": "text",
  "slug": "<string>",
  "config": {},
  "required": true,
  "order": 123
}
'
{}

Authorizations

Authorization
string
header
required

API key: supersonic_live_...

Body

application/json
object_type_slug
string
required

ObjectType slug

name
string
required

Field display name (e.g. 'Check Size')

field_type
enum<string>
required

Field data type

Available options:
text,
number,
decimal,
currency,
date,
datetime,
boolean,
email,
url,
phone,
select,
multi_select,
relation
slug
string

Field slug (auto-generated if omitted)

config
object

Field config (e.g. {options: [{value, label, color}]} for select; {target_object_type: ''} for relation)

required
boolean

Whether field is required

order
integer

Display order

Response

Success

The response is of type object.